с

> なかだてです。
> 
> Windows 7 Home(64bit)で、Ruby-2.4.0(x64-mswin64_100)をデフォルト設定の
まま、インストール
> したところ、こちらでも同じようなエラーメッセージが表示されました。

わざわざ、試していただいて、ありがとうございます。
 
> インストール先をC:¥ruby2.4に変更してインストール、gemのupdate、rubocop
のインストールを
> 試したところ、0.49.1がインストールできました。
> 
> 他にも良い案があるかもしれませんが、インストールの際、インストールポイ
ントを変更するのが
> お嫌でなければ、一度お試しください。

アドバイスどおり、インストールポイントを c:\ruby2.4\ にして、rubocop イ
ンストールできました。

C:\Users\0000910700>where ruby
C:\Program Files\Ruby-2.4\bin\ruby.exe

C:\Users\0000910700>gem install rubocop -r -p 
http://my_company_proxy.co.jp:port
Fetching: rainbow-2.2.2.gem (100%)
Building native extensions.  This could take a while...
Successfully installed rainbow-2.2.2
Fetching: ast-2.3.0.gem (100%)
...
Fetching: rubocop-0.49.1.gem (100%)
Successfully installed rubocop-0.49.1
...
Parsing documentation for rubocop-0.49.1
Installing ri documentation for rubocop-0.49.1
Done installing documentation for rainbow, ast, parser, powerpack, ruby-
progressbar, unicode-display_width, parallel, rubocop after 62 seconds
8 gems installed

> 通りすがりのなかだてでした。

Cygwin版は、問題なくrubocop gem installできていたのですが、
Windows版 ruby では、install 出来なかったので、非常に助かりました。

重ねて、ありがとうございます。

yama@JPC20316739:~$ uname -a
CYGWIN_NT-6.1 JPC20316739 2.8.0(0.309/5/3) 2017-04-01 20:47 x86_64 
Cygwin
yama@JPC20316739:~$ type ruby
ruby は /bin/ruby です
yama@JPC20316739:~$ ruby --version
ruby 2.3.3p222 (2016-11-21 revision 56859) [x86_64-cygwin]
yama@JPC20316739:~$ gem --version
2.6.11
yama@JPC20316739:~$ gem list rubocop

*** LOCAL GEMS ***

rubocop (0.49.1)